Subject: bug#29328: closed (Re: bug#29328: 24.5; doc string of `transpose-subr`)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 17 Nov 2017 15:47:02 +0000

Your bug report

#29328: 24.5; doc string of `transpose-subr`

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29328: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29328
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29328: 24.5; doc string of `transpose-subr`
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Fri, 17 Nov 2017 17:45:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 17 Nov 2017 07:02:22 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > The doc string should describe each parameter.  Parameter SPECIAL is
> > > not described, and its name is not specific or enlightening.
> > 
> > I don't see how it can be meaningfully documented.
> 
> That's tantamount to saying that the parameter has no meaning,
> no behavior.

No, it isn't.  It's tantamount to saying what I have just said.

> If it does something then that something should
> be describable, in some way, at least.  The place to start is
> with the intention - why do we have such a parameter?  What
> does it let you do?  Why/when would code ever make use of it?

Thanks for the lecture.  Rest assured, I asked myself all of those
questions, and then some.  This is an internal subroutine, so it
doesn't have to document everything.

Please accept my judgment on this.

Subject: 24.5; doc string of `transpose-subr`
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Thu, 16 Nov 2017 14:41:40 -0800 (PST)
List-Id: <debbugs-submit.debbugs.gnu.org>

The doc string should describe each parameter.  Parameter SPECIAL is not
described, and its name is not specific or enlightening.

See http://lists.gnu.org/archive/html/help-gnu-emacs/2017-11/msg00190.html

In GNU Emacs 24.5.1 (i686-pc-mingw32)
 of 2015-04-11 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/usr --host=i686-pc-mingw32'